function LibZdNextListener(ScreenService, LibLoginService, LibUtilities, templateManager) {
    window.addEventListener('message', handleMessageEvent);

    function handleMessageEvent(event) {
        if(event.data.type === 'logoutByZdNext') {
            logoutByZdNext()
        } else if (event.data.type === 'versionInfo') {
            var versionInfo = event.data.data.versionInfo;
            templateManager.versionData.name = versionInfo.name;
            templateManager.versionData.version = versionInfo.version;
            templateManager.versionData.dependencies.backend = versionInfo.backend;
            templateManager.versionData.dependencies.frontend = versionInfo.frontend;
            templateManager.versionData.dependencies.modules = versionInfo.modules;
            templateManager.versionData.dependencies.changeCurrentVersion('frontend');
            templateManager.updateTemplate();
        }
    }

    var logoutByZdNext = function() {
        ScreenService.showLoader();
        LibLoginService.logout().then(function () {
            ScreenService.hideLoader();
            localStorage.removeItem('IS_LOGGED');
            localStorage.removeItem('LOGIN_USER');
            localStorage.removeItem('LOGIN_TOKEN');
            localStorage.removeItem('LOGIN_ERASE_HASH');
            localStorage.removeItem('LOGIN_USE_REDIRECT');
            LibUtilities.redirectToLogin();
        }).catch(function(error) {
            ScreenService.hideLoader();
            LibUtilities.showErrorMessage(error);
        });
    };
}

Configuration(function(ContextRegister){
    ContextRegister.register('LibZdNextListener', LibZdNextListener);
});
